Subject: Re: FVWM: Bad Icon bitmap depth

From: Sean Seery <[email-masked]>
Date: Tue, 27 May 2003 08:41:21 -0600

Olivier Chapuis <[email-masked]> in a message dated "Mon, 26 May 2003 01:39:05 -0600 dubiously asserts..."

> On Thu, May 22, 2003 at 10:47:36AM -0600, Sean Seery wrote:
> > 
> > [FVWM][GetIconBitmap]: <<ERROR>> Window '<some window>' has a bad icon
> > bitmap depth 24(should be 1 or 8)! Ignoring icon bitmap.
> >
> 
> I think I've the solution of the problem (I read all the others mail
> of this thread).
> 
> Sean has a 8/24 depth screen and the X server start with DefaultDepth = 8.
> This is a classical situation (the X server can be configured to start
> with DefaultDepth = 24, but as certain "old" apps need depth 8 for read-
> write colours the default is depth 8; moreover on such hardware there is
> no visual pbs by using certain app under depth 8 and other with depth 24).
> 
> BTW, since 2.5.6 fvwm detect this situation and fvwm choose to use the
> best visual: TrueColor depth 24 (before 2.5.6 the user had to use
> the --visual-id or --visual option; now fvwm need _no_ option).
> A lot of apps use this logic too.
> 
> So, for applications supplied icon pixmap we have 3 acceptable depth:
> 
> - depth 1 (always ok)
> - depth 8, the default depth
> - depth 24, the fvwm depth
> 
> I've just committed a fix.
> 
> Sean can you try the next fvwm snapshot?

I have downloaded and compiled the snapshot and it does fix the problem.
Thanks so much for everyones help on this problem! 

> 
> ftp://ftp.fvwm.org/pub/fvwm/devel/snapshots/fvwm-snap-20030526.tar.gz
> 

Thanks,

Sean 
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].